For the complete documentation index, see llms.txt. This page is also available as Markdown.

Product Localisation

Get language list

get
/list/language

Fetch the list of all available languages.

Query parameters
limitintegerOptional

Limit the number of languages to fetch

offsetintegerOptional

Skip the first 'n' number of languages

keywordstringOptional

Search for languages by keyword

countintegerOptional

Count the number of languages available

Header parameters
AuthorizationstringRequired
Responses
200

Successfully retrieved language list

statusnumberOptionalExample: 1
messagestringOptionalExample: successfully got the complete language list
get/list/language
GET /backend/api/list/language HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
<?xml version="1.0"?>
<object>
	<status>1</status>
	<message>successfully got the complete language list</message>
</object>

Get product translation list

get
/vendor-product-translation/product-translation

Retrieves the list of product translations for the vendor.

Query parameters
offsetintegerOptional

The offset for pagination

limitintegerOptional

The number of products to retrieve per page

keywordstringOptional

Keyword for searching products by name, SKU, etc.

productNamestringOptional

Filter by product name

skustringOptional

Filter by SKU of the product

Header parameters
AuthorizationstringRequired
Responses
200

Successfully retrieved product translation list

statusnumberOptionalExample: 1
messagestringOptionalExample: Successfully Got Product Translation List
get/vendor-product-translation/product-translation
GET /backend/api/vendor-product-translation/product-translation HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
<?xml version="1.0"?>
<object>
	<status>1</status>
	<message>Successfully Got Product Translation List</message>
</object>

Get Product Translation Details

get
/vendor-product-translation/{productId}/product-translation

Fetches the product translation details for a given translation ID.

Path parameters
productIdintegerRequired

The ID of the product translation to retrieve

Header parameters
AuthorizationstringRequired
Responses
200

Successfully retrieved product translation details.

statusnumberOptionalExample: 1
messagestringOptionalExample: Successfully Got Product Translation Detail
get/vendor-product-translation/{productId}/product-translation
GET /backend/api/vendor-product-translation/{productId}/product-translation HTTP/1.1
Host: 139.59.67.17
Authorization: text
Accept: */*
<?xml version="1.0"?>
<object>
	<status>1</status>
	<message>Successfully Got Product Translation Detail</message>
</object>

Save Product Translation

post
/vendor-product-translation/{productId}/product-translation

Saves product translation details for a specific translation ID.

Path parameters
productIdintegerRequired

The ID of the product translation to update

Header parameters
AuthorizationstringRequired
Body
Responses
200

Product translation saved successfully.

statusnumberOptionalExample: 1
messagestringOptionalExample: Successfully Saved Product Translation
post/vendor-product-translation/{productId}/product-translation
POST /backend/api/vendor-product-translation/{productId}/product-translation HTTP/1.1
Host: 139.59.67.17
Authorization: text
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 83

"productTranslation=[{'languageId':1,'name':'text','description':'text','id':1}]"
<?xml version="1.0"?>
<object>
	<status>1</status>
	<message>Successfully Saved Product Translation</message>
</object>

Last updated